<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        {# Run `composer require symfony/webpack-encore-bundle`
        and uncomment the following Encore helpers to start using Symfony UX #}
        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}

        {% block javascripts %}
            {{ encore_entry_script_tags('app') }}
        {% endblock %}
    </head>
    <body>
    <div class="vertical-nav bg-white" id="sidebar">
        <div class="py-4 px-3 mb-4 bg-light">
            <div class="media d-flex align-items-center"><img src="{{ asset('build/img/site/logo_dompro.png') }}" alt="..." width="65" class="mr-3 rounded-circle img-thumbnail shadow-sm">
                <div class="media-body">
                    <h4 class="m-0">Dompro</h4>
                </div>
            </div>
        </div>
        <p class="text-gray font-weight-bold text-uppercase px-3 small pb-4 mb-0">Main</p>
        <ul class="nav flex-column bg-white mb-0">
            <li class="nav-item">
                {% if is_granted('IS_AUTHENTICATED_REMEMBERED') %}
                <a href="{{ path('app_logout') }}" class="nav-link text-dark font-italic">
                    <i class="fa fa-picture-o mr-3 text-primary fa-fw"></i>
                    Déconnexion
                </a>
                {% else %}
                <a href="{{ path('app_register') }}" class="nav-link text-dark font-italic">
                    <i class="fa fa-picture-o mr-3 text-primary fa-fw"></i>
                    Inscription
                </a>
                <a href="{{ path('app_login') }}" class="nav-link text-dark font-italic">
                    <i class="fa fa-picture-o mr-3 text-primary fa-fw"></i>
                    Connexion
                </a>
                {% endif %}
            </li>
            {% if is_granted('IS_AUTHENTICATED_REMEMBERED') %}
                <li class="nav-item">
                    <a href="{{ path('site_new') }}" class="nav-link text-dark font-italic bg-light">
                        <i class="fa fa-th-large mr-3 text-primary fa-fw"></i>
                            Info pratique
                        </a>
                </li>
                <li class="nav-item">
                    <a href="{{ path('site_text_new') }}" class="nav-link text-dark font-italic">
                        <i class="fa fa-address-card mr-3 text-primary fa-fw"></i>
                            Texte
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{ path('site_image_new') }}" class="nav-link text-dark font-italic">
                        <i class="fa fa-cubes mr-3 text-primary fa-fw"></i>
                            Images
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{ path('site_actus_new') }}" class="nav-link text-dark font-italic">
                        <i class="fa fa-picture-o mr-3 text-primary fa-fw"></i>
                        Actus
                    </a>
                </li>
            {% endif %}

        </ul>
        <p class="text-gray font-weight-bold text-uppercase px-3 small py-4 mb-0">Charts</p>
    </div>
    <div class="page-content p-5" id="content">
        {% for label, messages in app.flashes(['success', 'notice']) %}
            {% for message in messages %}
                <div class="alert alert-success">
                    {{ message| trans }}
                </div>
            {% endfor %}
        {% endfor %}
        {% block body %}{% endblock %}
    </div>
    </body>
</html>
